Bug 1003513 - rpc.idmapd command options and man pages should update,,,
rpc.idmapd command options and man pages should update,,,
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nfs-utils (Show other bugs)
7.0
All Linux
high Severity unspecified
: rc
: ---
Assigned To: Steve Dickson
Yin.JianHong
:
Depends On: 1003510
Blocks: 1003511
  Show dependency treegraph
 
Reported: 2013-09-02 04:52 EDT by Yin.JianHong
Modified: 2014-06-18 03:47 EDT (History)
3 users (show)

See Also:
Fixed In Version: nfs-utils-1.2.9-3.1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1003510
Environment:
Last Closed: 2014-06-13 07:09:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yin.JianHong 2013-09-02 04:52:09 EDT
+++ This bug was initially created as a clone of Bug #1003510 +++

Description of problem:
rpc.idmapd command options and man pages should update,,,
the -d -U -G have been removed, should update the man page;
and if specify -d or -U or -G, In addition to output error
 -and should do more: output the right usage.

[root@dell-pr7610-01 ~]# rpc.idmapd -d domain 
rpc.idmapd: the -d, -U, and -G options have been removed; please use the configuration file instead.
[root@dell-pr7610-01 ~]# man rpc.idmapd | cat -
RPC.IDMAPD(8)                                                 BSD System Manager's Manual                                                 RPC.IDMAPD(8)

NAME
     rpc.idmapd — NFSv4 ID <-> Name Mapper

SYNOPSIS
     rpc.idmapd [-v] [-f] [-d domain] [-p path] [-U username] [-G groupname] [-c path]

DESCRIPTION
     rpc.idmapd is the NFSv4 ID <-> name mapping daemon.  It provides functionality to the NFSv4 kernel client and server, to which it communicates via
     upcalls, by translating user and group IDs to names, and vice versa.

     The options are as follows:

     -v           Increases the verbosity level (can be specified multiple times).

     -f           Runs rpc.idmapd in the foreground and prints all output to the terminal.

     -d domain    Set domain to domain.  This is used internally by NFSv4 and is typically assigned by the system administrator.  By default, domain is
                  set to be the FQDN of the host, minus the hostname.

     -p path      Specifies the location of the RPC pipefs to be path.  The default value is "/var/lib/nfs/rpc_pipefs".

     -U username  Specifies the NFSv4 nobody user to be username.  The default value is "nobody".

     -G groupname
                  Specifies the NFSv4 nobody group to be groupname.  The default value is "nobody".

     -c path      Use configuration file path.

     -C           Client-only: perform no idmapping for any NFS server, even if one is detected.

     -S           Server-only: perform no idmapping for any NFS client, even if one is detected.

EXAMPLES
     rpc.idmapd -d "citi.umich.edu" -f -vvv



Version-Release number of selected component (if applicable):
all version in  from RHEL5.9 5.10 RHEL6.x to RHEL7.x

How reproducible:
y

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
update usage output, and man pages

Additional info:
Comment 4 Yin.JianHong 2014-02-12 03:07:22 EST
[root@ibm-p720-02-lp3 ~]# rpm -q nfs-utils
nfs-utils-1.2.9-4.el7.ppc64
[root@ibm-p720-02-lp3 ~]# rpc.idmapd -d domain
rpc.idmapd: the -d, -U, and -G options have been removed; please use the configuration file instead.
[root@ibm-p720-02-lp3 ~]# man rpc.idmapd | cat -
RPC.IDMAPD(8)                                                      BSD System Manager's Manual                                                      RPC.IDMAPD(8)

NAME
     rpc.idmapd — NFSv4 ID <-> Name Mapper

SYNOPSIS
     rpc.idmapd [-v] [-f] [-p path] [-c path]

DESCRIPTION
     rpc.idmapd is the NFSv4 ID <-> name mapping daemon.  It provides functionality to the NFSv4 kernel client and server, to which it communicates via upcalls,
     by translating user and group IDs to names, and vice versa.

     The options are as follows:

     -v           Increases the verbosity level (can be specified multiple times).

     -f           Runs rpc.idmapd in the foreground and prints all output to the terminal.

     -p path      Specifies the location of the RPC pipefs to be path.  The default value is "/var/lib/nfs/rpc_pipefs".

     -c path      Use configuration file path.

     -C           Client-only: perform no idmapping for any NFS server, even if one is detected.

     -S           Server-only: perform no idmapping for any NFS client, even if one is detected.

EXAMPLES
     rpc.idmapd -f -vvv

     Runs rpc.idmapd printing all messages to console, and with a verbosity level of 3.

FILES
     /etc/idmapd.conf
Comment 5 Ludek Smid 2014-06-13 07:09:51 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.